import type { TSESLint } from '@typescript-eslint/utils';
import * as meta from './meta.js';
import * as parser from './parser.js';
import * as rules from './rules/index.js';
export { meta, parser, rules };
export declare const configs: {
    flatBase: TSESLint.FlatConfig.Config;
    flatRecommended: TSESLint.FlatConfig.Config;
    base: TSESLint.ClassicConfig.Config;
    recommended: TSESLint.ClassicConfig.Config;
};
