import type { TSESLint, TSESTree } from '@typescript-eslint/utils';
export declare const meta: {
    name: string;
    version: string;
};
export interface MarkupParserOptions extends TSESLint.Linter.ParserOptions {
    filePath?: string;
}
export declare const parseForESLint: (text: string, _options?: MarkupParserOptions) => TSESLint.Parser.ParseResult;
export declare const parse: (text: string, options?: MarkupParserOptions) => TSESTree.Program;
