import { version } from './meta.js';
export const meta = {
    name: 'markup-eslint',
    version,
};
export const parseForESLint = (text, _options) => {
    const lines = text.split('\n');
    return {
        ast: {
            type: 'Program',
            sourceType: 'module',
            comments: [],
            tokens: [],
            body: [],
            range: [0, text.length],
            loc: {
                start: {
                    line: 1,
                    column: 0,
                },
                end: {
                    line: lines.length,
                    column: lines.at(-1)?.length ?? 0,
                },
            },
        },
    };
};
export const parse = (text, options) => parseForESLint(text, options).ast;
//# sourceMappingURL=parser.js.map